## hyprtoolkit 0.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

file(READ "${CMAKE_SOURCE_DIR}/VERSION" VER_RAW)
string(STRIP ${VER_RAW} HYPRTOOLKIT_VERSION)

add_compile_definitions(HYPRTOOLKIT_VERSION="${HYPRTOOLKIT_VERSION}")

project(
  hyprtoolkit
  VERSION ${HYPRTOOLKIT_VERSION}
  DESCRIPTION "A modern C++ Wayland-native GUI toolkit")

include(CTest)
include(CheckIncludeFile)
include(GNUInstallDirs)

set(PREFIX ${CMAKE_INSTALL_PREFIX})
set(INCLUDE ${CMAKE_INSTALL_FULL_INCLUDEDIR})
set(LIBDIR ${CMAKE_INSTALL_FULL_LIBDIR})

find_package(PkgConfig REQUIRED)
find_package(OpenGL REQUIRED COMPONENTS "GLES3")
find_package(hyprwayland-scanner 0.4.0 REQUIRED)
pkg_check_modules(
  deps
  REQUIRED
  IMPORTED_TARGET
  wayland-client
  wayland-protocols
  egl
  hyprutils>=0.9.0
  hyprlang>=0.6.0
  pixman-1
  libdrm
  gbm
  xkbcommon
  pango
  cairo
  pangocairo
  iniparser
  hyprgraphics>=0.3.0
  aquamarine>=0.9.5
)

configure_file(hyprtoolkit.pc.in hyprtoolkit.pc @ONLY)

set(CMAKE_CXX_STANDARD 23)
add_compile_options(
  -Wall
  -Wextra
  -Wno-unused-parameter
  -Wno-unused-value
  -Wno-missing-field-initializers
  -Wpedantic)
set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
  message(STATUS "Configuring hyprtoolkit in Debug")
  add_compile_definitions(HYPRTOOLKIT_DEBUG)
else()
  add_compile_options(-O3)
  message(STATUS "Configuring hyprtoolkit in Release")
endif()

add_compile_definitions(HT_HIDDEN=public)

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp" "include/*.hpp")
file(GLOB_RECURSE PUBLIC_HEADERS CONFIGURE_DEPENDS "include/*.hpp")

execute_process(COMMAND ./scripts/generateShaderIncludes.sh
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_library(hyprtoolkit SHARED ${SRCFILES})
target_include_directories(
  hyprtoolkit
  PUBLIC "./include"
  PRIVATE "./src" "./src/include" "./protocols" "${CMAKE_BINARY_DIR}")
set_target_properties(hyprtoolkit PROPERTIES VERSION ${HYPRTOOLKIT_VERSION}
                                            SOVERSION 3)
target_link_libraries(hyprtoolkit PUBLIC OpenGL::EGL OpenGL::OpenGL PkgConfig::deps)

check_include_file("sys/timerfd.h" HAS_TIMERFD)
pkg_check_modules(epoll IMPORTED_TARGET epoll-shim)
if(NOT HAS_TIMERFD AND epoll_FOUND)
  target_link_libraries(hyprtoolkit PkgConfig::epoll)
endif()

if (NOT DISABLE_TESTS)
  enable_testing()

  # test apps
  add_custom_target(tests)

  add_executable(simpleWindow "tests/SimpleWindow.cpp")
  target_link_libraries(simpleWindow PRIVATE PkgConfig::deps hyprtoolkit)
  add_dependencies(tests simpleWindow)

  add_executable(dialog "tests/Dialog.cpp")
  target_link_libraries(dialog PRIVATE PkgConfig::deps hyprtoolkit)
  add_dependencies(tests dialog)

  add_executable(controls "tests/Controls.cpp")
  target_link_libraries(controls PRIVATE PkgConfig::deps hyprtoolkit)
  add_dependencies(tests controls)

  # GTest
  find_package(GTest CONFIG REQUIRED)
  include(GoogleTest)
  add_executable(hyprtoolkit_inline_tests ${SRCFILES})
  target_compile_definitions(hyprtoolkit_inline_tests PRIVATE HT_UNIT_TESTS=1)
  target_compile_options(hyprtoolkit_inline_tests PRIVATE --coverage)
  target_link_options(hyprtoolkit_inline_tests PRIVATE --coverage)
  target_include_directories(hyprtoolkit_inline_tests PUBLIC "./include" PRIVATE "./src" "./src/include" "./protocols" "${CMAKE_BINARY_DIR}")
  target_link_libraries(hyprtoolkit_inline_tests PRIVATE GTest::gtest_main OpenGL::EGL OpenGL::OpenGL PkgConfig::deps)
  gtest_discover_tests(hyprtoolkit_inline_tests)
endif()

# Protocols
pkg_get_variable(WAYLAND_PROTOCOLS_DIR wayland-protocols pkgdatadir)
message(STATUS "Found wayland-protocols at ${WAYLAND_PROTOCOLS_DIR}")
pkg_get_variable(WAYLAND_SCANNER_PKGDATA_DIR wayland-scanner pkgdatadir)
message(STATUS "Found wayland-scanner pkgdatadir at ${WAYLAND_SCANNER_PKGDATA_DIR}")

function(protocolNew protoPath protoName external)
  if(external)
    set(path ${CMAKE_SOURCE_DIR}/${protoPath})
  else()
    set(path ${WAYLAND_PROTOCOLS_DIR}/${protoPath})
  endif()
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/${protoName}.cpp
           ${CMAKE_SOURCE_DIR}/protocols/${protoName}.hpp
    COMMAND hyprwayland-scanner --client ${path}/${protoName}.xml
            ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(hyprtoolkit PRIVATE protocols/${protoName}.cpp
                                    protocols/${protoName}.hpp)
  if (NOT DISABLE_TESTS)
    target_sources(hyprtoolkit_inline_tests PRIVATE protocols/${protoName}.cpp
                                    protocols/${protoName}.hpp)
  endif()
endfunction()
function(protocolWayland)
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/wayland.cpp
           ${CMAKE_SOURCE_DIR}/protocols/wayland.hpp
    COMMAND hyprwayland-scanner --wayland-enums --client
            ${WAYLAND_SCANNER_PKGDATA_DIR}/wayland.xml ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(hyprtoolkit PRIVATE protocols/wayland.cpp protocols/wayland.hpp)
  if (NOT DISABLE_TESTS)
    target_sources(hyprtoolkit_inline_tests PRIVATE protocols/wayland.cpp protocols/wayland.hpp)
  endif()
endfunction()

protocolwayland()

protocolnew("stable/xdg-shell" "xdg-shell" false)
protocolnew("stable/linux-dmabuf" "linux-dmabuf-v1" false)
protocolnew("staging/fractional-scale" "fractional-scale-v1" false)
protocolnew("stable/viewporter" "viewporter" false)
protocolnew("staging/cursor-shape" "cursor-shape-v1" false)
protocolnew("stable/tablet" "tablet-v2" false)
protocolnew("unstable/text-input" "text-input-unstable-v3" false)
protocolnew("staging/linux-drm-syncobj" "linux-drm-syncobj-v1" false)
protocolnew("protocols" "wlr-layer-shell-unstable-v1" true)

# Installation
install(TARGETS hyprtoolkit)
install(DIRECTORY "include/hyprtoolkit" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES ${CMAKE_BINARY_DIR}/hyprtoolkit.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
hyprtoolkit (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1118668)

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 15 Nov 2025 19:08:29 +0100

=== debian/control ===
Source: hyprtoolkit
Section: libs
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libegl-dev,
 libgles-dev,
 hyprwayland-scanner (>= 0.4.0),
 libwayland-dev,
 wayland-protocols,
 libhyprutils-dev (>= 0.9.0),
 libhyprlang-dev (>= 0.6.0),
 libpixman-1-dev,
 libdrm-dev,
 libgbm-dev,
 libxkbcommon-dev,
 libpango1.0-dev,
 libcairo2-dev,
 libiniparser-dev,
 libhyprgraphics-dev (>= 0.3.0),
 libaquamarine-dev (>= 0.9.5),
 libgtest-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprtoolkit
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprtoolkit
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprtoolkit.git

Package: libhyprtoolkit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libhyprtoolkit3 (= ${binary:Version}),
 libhyprutils-dev (>= 0.9.0),
 libhyprgraphics-dev (>= 0.3.0),
 libaquamarine-dev (>= 0.9.5),
 ${misc:Depends},
Description: Modern, wayland-native C++ GUI toolkit -- development files
 Hyprtoolkit is designed to be a small, simple, and modern C++ toolkit for
 making wayland GUI apps, with a few goals:
 .
  - Simple C++ API for making a GUI app
  - Smooth animations
  - Easy usage
  - Simple system theming
 .
 This package contains the headers and other development support files needed
 for compiling and linking applications and libraries which use this library.

Package: libhyprtoolkit3
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Modern, wayland-native C++ GUI toolkit -- binary files
 Hyprtoolkit is designed to be a small, simple, and modern C++ toolkit for
 making wayland GUI apps, with a few goals:
 .
  - Simple C++ API for making a GUI app
  - Smooth animations
  - Easy usage
  - Simple system theming
 .
 This package contains the shared library needed for running applications which
 use this library.

## hyprtoolkit 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

file(READ "${CMAKE_SOURCE_DIR}/VERSION" VER_RAW)
string(STRIP ${VER_RAW} HYPRTOOLKIT_VERSION)

add_compile_definitions(HYPRTOOLKIT_VERSION="${HYPRTOOLKIT_VERSION}")

project(
  hyprtoolkit
  VERSION ${HYPRTOOLKIT_VERSION}
  DESCRIPTION "A modern C++ Wayland-native GUI toolkit")

include(CTest)
include(CheckIncludeFile)
include(GNUInstallDirs)

set(PREFIX ${CMAKE_INSTALL_PREFIX})
set(INCLUDE ${CMAKE_INSTALL_FULL_INCLUDEDIR})
set(LIBDIR ${CMAKE_INSTALL_FULL_LIBDIR})

find_package(PkgConfig REQUIRED)
find_package(OpenGL REQUIRED COMPONENTS "GLES3")
find_package(hyprwayland-scanner 0.4.0 REQUIRED)
pkg_check_modules(
  deps
  REQUIRED
  IMPORTED_TARGET
  wayland-client
  wayland-protocols
  egl
  hyprutils>=0.9.0
  hyprlang>=0.6.0
  pixman-1
  libdrm
  gbm
  xkbcommon
  pango
  cairo
  pangocairo
  iniparser
  hyprgraphics>=0.3.0
  aquamarine>=0.9.5)

configure_file(hyprtoolkit.pc.in hyprtoolkit.pc @ONLY)

set(CMAKE_CXX_STANDARD 23)
add_compile_options(-Wall -Wextra -Wno-unused-parameter -Wno-unused-value
                    -Wno-missing-field-initializers -Wpedantic)
set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)

if(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES DEBUG)
  message(STATUS "Configuring hyprtoolkit in Debug")
  add_compile_definitions(HYPRTOOLKIT_DEBUG)
  set(BUILD_TESTING ON)
else()
  add_compile_options(-O3)
  message(STATUS "Configuring hyprtoolkit in Release")
  set(BUILD_TESTING OFF)
endif()

add_compile_definitions(HT_HIDDEN=public)

file(GLOB_RECURSE SRCFILES CONFIGURE_DEPENDS "src/*.cpp" "include/*.hpp")
file(GLOB_RECURSE PUBLIC_HEADERS CONFIGURE_DEPENDS "include/*.hpp")

execute_process(COMMAND ./scripts/generateShaderIncludes.sh
                WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

add_library(hyprtoolkit SHARED ${SRCFILES})
target_include_directories(
  hyprtoolkit
  PUBLIC "./include"
  PRIVATE "./src" "./src/include" "./protocols" "${CMAKE_BINARY_DIR}")
set_target_properties(hyprtoolkit PROPERTIES VERSION ${HYPRTOOLKIT_VERSION}
                                             SOVERSION 4)
target_link_libraries(hyprtoolkit PUBLIC OpenGL::EGL OpenGL::OpenGL
                                         PkgConfig::deps)

check_include_file("sys/timerfd.h" HAS_TIMERFD)
pkg_check_modules(epoll IMPORTED_TARGET epoll-shim)
if(NOT HAS_TIMERFD AND epoll_FOUND)
  target_link_libraries(hyprtoolkit PUBLIC PkgConfig::epoll)
endif()

check_include_file("sys/inotify.h" HAS_INOTIFY)
pkg_check_modules(inotify IMPORTED_TARGET libinotify)
if(NOT HAS_INOTIFY AND inotify_FOUND)
  target_link_libraries(hyprtoolkit PUBLIC PkgConfig::inotify)
endif()

# Protocols
pkg_get_variable(WAYLAND_PROTOCOLS_DIR wayland-protocols pkgdatadir)
message(STATUS "Found wayland-protocols at ${WAYLAND_PROTOCOLS_DIR}")
pkg_get_variable(WAYLAND_SCANNER_PKGDATA_DIR wayland-scanner pkgdatadir)
message(
  STATUS "Found wayland-scanner pkgdatadir at ${WAYLAND_SCANNER_PKGDATA_DIR}")

function(protocolNew protoPath protoName external)
  if(external)
    set(path ${CMAKE_SOURCE_DIR}/${protoPath})
  else()
    set(path ${WAYLAND_PROTOCOLS_DIR}/${protoPath})
  endif()
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/${protoName}.cpp
           ${CMAKE_SOURCE_DIR}/protocols/${protoName}.hpp
    COMMAND hyprwayland-scanner --client ${path}/${protoName}.xml
            ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(hyprtoolkit PRIVATE protocols/${protoName}.cpp
                                     protocols/${protoName}.hpp)
endfunction()
function(protocolWayland)
  add_custom_command(
    OUTPUT ${CMAKE_SOURCE_DIR}/protocols/wayland.cpp
           ${CMAKE_SOURCE_DIR}/protocols/wayland.hpp
    COMMAND
      hyprwayland-scanner --wayland-enums --client
      ${WAYLAND_SCANNER_PKGDATA_DIR}/wayland.xml ${CMAKE_SOURCE_DIR}/protocols/
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
  target_sources(hyprtoolkit PRIVATE protocols/wayland.cpp
                                     protocols/wayland.hpp)
endfunction()

protocolwayland()

protocolnew("stable/xdg-shell" "xdg-shell" false)
protocolnew("stable/linux-dmabuf" "linux-dmabuf-v1" false)
protocolnew("staging/fractional-scale" "fractional-scale-v1" false)
protocolnew("stable/viewporter" "viewporter" false)
protocolnew("staging/cursor-shape" "cursor-shape-v1" false)
protocolnew("staging/ext-session-lock" "ext-session-lock-v1" false)
protocolnew("stable/tablet" "tablet-v2" false)
protocolnew("unstable/text-input" "text-input-unstable-v3" false)
protocolnew("staging/linux-drm-syncobj" "linux-drm-syncobj-v1" false)
protocolnew("protocols" "wlr-layer-shell-unstable-v1" true)

# Tests
if(BUILD_TESTING)
  enable_testing()

  # test apps
  add_custom_target(tests)

  add_executable(simpleWindow "tests/SimpleWindow.cpp")
  target_link_libraries(simpleWindow PRIVATE PkgConfig::deps hyprtoolkit)
  add_dependencies(tests simpleWindow)

  add_executable(dialog "tests/Dialog.cpp")
  target_link_libraries(dialog PRIVATE PkgConfig::deps hyprtoolkit)
  add_dependencies(tests dialog)

  add_executable(controls "tests/Controls.cpp")
  target_link_libraries(controls PRIVATE PkgConfig::deps hyprtoolkit)
  add_dependencies(tests controls)

  add_executable(simpleSessionLock "tests/SimpleSessionLock.cpp")
  target_link_libraries(simpleSessionLock PRIVATE PkgConfig::deps hyprtoolkit)
  add_dependencies(tests simpleSessionLock)


  # GTest
  find_package(GTest CONFIG REQUIRED)
  include(GoogleTest)
  file(GLOB_RECURSE TESTFILES CONFIGURE_DEPENDS "tests/unit/*.cpp")
  add_executable(hyprtoolkit_tests ${TESTFILES})
  target_compile_options(hyprtoolkit_tests PRIVATE --coverage)
  target_link_options(hyprtoolkit_tests PRIVATE --coverage)
  target_include_directories(
    hyprtoolkit_tests
    PUBLIC "./include"
    PRIVATE "./src" "./src/include" "./protocols" "${CMAKE_BINARY_DIR}")
  target_link_libraries(
    hyprtoolkit_tests PRIVATE hyprtoolkit GTest::gtest_main OpenGL::EGL
                                     OpenGL::OpenGL PkgConfig::deps)

  gtest_discover_tests(hyprtoolkit_tests)

  # Add coverage to hyprtoolkit
  target_compile_options(hyprtoolkit PRIVATE --coverage)
  target_link_options(hyprtoolkit PRIVATE --coverage)
endif()

# Installation
install(TARGETS hyprtoolkit)
install(DIRECTORY "include/hyprtoolkit" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
install(FILES ${CMAKE_BINARY_DIR}/hyprtoolkit.pc
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
hyprtoolkit (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * refresh patches
  * d/control: bump SOVERSION to 4

 -- Carl Keinath <carl.keinath@gmail.com>  Mon, 01 Dec 2025 09:05:54 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprtoolkit3 (= ${binary:Version}),
+ libhyprtoolkit4 (= ${binary:Version}),
  libhyprutils-dev (>= 0.9.0),
  libhyprgraphics-dev (>= 0.3.0),
  libaquamarine-dev (>= 0.9.5),
@@ -53,7 +53,7 @@
  This package contains the headers and other development support files needed
  for compiling and linking applications and libraries which use this library.
 
-Package: libhyprtoolkit3
+Package: libhyprtoolkit4
 Architecture: any
 Multi-Arch: same
 Depends:

## hyprtoolkit 0.5.2

=== debian/changelog ===
hyprtoolkit (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 06 Jan 2026 11:50:39 +0800

hyprtoolkit (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * refresh patches
  * d/control:
    - set min required hyprutils to >= 0.11.0
    - bump SOVERSION to 5
    - set min required hyprgraphics to >= 0.5.0
  * bump Standards-Version to 4.7.3

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 03 Jan 2026 09:21:53 +0100

hyprtoolkit (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 21 Dec 2025 15:44:25 +0100

## hyprtoolkit 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
   wayland-client
   wayland-protocols
   egl
-  hyprutils>=0.9.0
+  hyprutils>=0.11.0
   hyprlang>=0.6.0
   pixman-1
   libdrm
@@ -39,7 +39,7 @@
   pangocairo
   iniparser
   hyprgraphics>=0.3.0
-  aquamarine>=0.9.5)
+  aquamarine>=0.10.0)
 
 configure_file(hyprtoolkit.pc.in hyprtoolkit.pc @ONLY)
 
@@ -72,7 +72,7 @@
   PUBLIC "./include"
   PRIVATE "./src" "./src/include" "./protocols" "${CMAKE_BINARY_DIR}")
 set_target_properties(hyprtoolkit PROPERTIES VERSION ${HYPRTOOLKIT_VERSION}
-                                             SOVERSION 4)
+                                             SOVERSION 5)
 target_link_libraries(hyprtoolkit PUBLIC OpenGL::EGL OpenGL::OpenGL
                                          PkgConfig::deps)

=== debian/changelog ===
hyprtoolkit (0.5.3-1) unstable; urgency=medium

  * New upstream version 0.5.3

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 26 Jan 2026 14:08:08 +0900

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  hyprwayland-scanner (>= 0.4.0),
  libwayland-dev,
  wayland-protocols,
- libhyprutils-dev (>= 0.9.0),
+ libhyprutils-dev (>= 0.11.0),
  libhyprlang-dev (>= 0.6.0),
  libpixman-1-dev,
  libdrm-dev,
@@ -23,10 +23,10 @@
  libpango1.0-dev,
  libcairo2-dev,
  libiniparser-dev,
- libhyprgraphics-dev (>= 0.3.0),
- libaquamarine-dev (>= 0.9.5),
+ libhyprgraphics-dev (>= 0.5.0),
+ libaquamarine-dev (>= 0.10.0),
  libgtest-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/hyprwm/hyprtoolkit
 Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprtoolkit
 Vcs-Git: https://salsa.debian.org/hyprland-team/hyprtoolkit.git
@@ -36,10 +36,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprtoolkit4 (= ${binary:Version}),
- libhyprutils-dev (>= 0.9.0),
- libhyprgraphics-dev (>= 0.3.0),
- libaquamarine-dev (>= 0.9.5),
+ libhyprtoolkit5 (= ${binary:Version}),
+ libhyprutils-dev (>= 0.11.0),
+ libhyprgraphics-dev (>= 0.5.0),
+ libaquamarine-dev (>= 0.10.0),
  ${misc:Depends},
 Description: Modern, wayland-native C++ GUI toolkit -- development files
  Hyprtoolkit is designed to be a small, simple, and modern C++ toolkit for
@@ -53,7 +53,7 @@
  This package contains the headers and other development support files needed
  for compiling and linking applications and libraries which use this library.
 
-Package: libhyprtoolkit4
+Package: libhyprtoolkit5
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export GTEST_SHUFFLE=0

%:
	dh $@

=== debian/watch ===
Version: 5

Template: GitHub
Owner: hyprwm
Project: hyprtoolkit
